# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['malwarebazaar', 'malwarebazaar.commands']

package_data = \
{'': ['*']}

install_requires = \
['PyYAML>=5.4.1,<6.0.0',
 'click>=8.0.1,<9.0.0',
 'pyzipper>=0.3.5,<0.4.0',
 'requests>=2.25.1,<3.0.0',
 'rich>=10.2.2,<11.0.0']

entry_points = \
{'console_scripts': ['bazaar = malwarebazaar.bazaar:cli']}

setup_kwargs = {
    'name': 'malwarebazaar',
    'version': '0.0.1',
    'description': 'CLI wrapper for malware bazaar API (bazaar.abuse.ch)',
    'long_description': '# (Malware)Bazaar\n**An [Malwarebazaar](https://bazaar.abuse.ch) API wrapper and CLI**\n\n## Installation\n```\npip install malwarebazaar\n```\n\n## Usage\n### Python\n```python\nfrom malwarebazaar.api import Bazaar\n\nbazaar = Bazaar("myapikey")\nresponse = bazaar.query_hash("Hash to search for.")\nfile = bazaar.download_file("Sha256 hash for file to donwload.")\n```\n\n### CLI\n```commandline\n$ bazaar init myapikey\nSuccessfully set API-Key!\n$ bazaar query hash f670080b1f42d1b70a37adda924976e6d7bd62bf77c35263aff97e7968291807\nFilename:       03891ab57eb301579005f62953dfd21e.exe\nMD5:            03891ab57eb301579005f62953dfd21e\nSHA1:           41efd56ea49b72c6dd53b5341f295e549b1b64a5\nSHA256:         f670080b1f42d1b70a37adda924976e6d7bd62bf77c35263aff97e7968291807\nImphash:        f34d5f2d4577ed6d9ceec516c1f5a744\nSignature:      RedLineStealer\nTags:           exe, RedLineStealer\n$ bazaar download f670080b1f42d1b70a37adda924976e6d7bd62bf77c35263aff97e7968291807\n$ file f670080b1f42d1b70a37adda924976e6d7bd62bf77c35263aff97e7968291807.zip \nf670080b1f42d1b70a37adda924976e6d7bd62bf77c35263aff97e7968291807.zip: Zip archive data, at least v5.1 to extract\n$ bazaar download f670080b1f42d1b70a37adda924976e6d7bd62bf77c35263aff97e7968291807 --unzip\n$ file f670080b1f42d1b70a37adda924976e6d7bd62bf77c35263aff97e7968291807.exe \nf670080b1f42d1b70a37adda924976e6d7bd62bf77c35263aff97e7968291807.exe: PE32 executable (GUI) Intel 80386 Mono/.Net assembly, for MS Windows\n```',
    'author': '3c7',
    'author_email': '3c7@posteo.de',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
